Loading...
Searching...
No Matches
janus-cfgconv.c File Reference
Tools and utilities

Simple utility to convert Janus .cfg files to .jcfg and viceversa. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include "config.h"`
`#include "debug.h"`
`#include "version.h"`
Include dependency graph for janus-cfgconv.c:

## Functions

int | main (int argc, char *argv[])

## Variables

int | janus_log_level = 4
gboolean | janus_log_timestamps = FALSE
gboolean | janus_log_colors = TRUE
char * | janus_log_global_prefix = NULL
int | lock_debug = 0

## Detailed Description

Simple utility to convert Janus .cfg files to .jcfg and viceversa.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Historically, Janus has made use of INI .cfg files for the configuration of core and plugins. Recently, support for the libconfig format has been added too. Due to the more expressive nature of libconfig, .jcfg files have been made the default: while support for .cfg files still exists as a fallback, new features may only be available in .jcfg files. As such, you may want to convert your existing .cfg configuration files to .jcfg as soon as possible, which is what this tool allows you to do. Notice that the tool also allows you to go the other way around, although libconfig concepts that cannot be expressed in INI will be lost in the process.

Using the utility is quite simple. Just pass, as arguments to the tool, the path to the file you want to convert (.cfg or .jcfg) and the path to the target file (.jcfg or .cfg), e.g.:

    ./janus-cfgconv /path/to/config.cfg /path/to/config.jcfg

Tools and utilities

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

## Variable Documentation

## janus_log_colors

gboolean janus_log_colors = TRUE

## janus_log_global_prefix

char* janus_log_global_prefix = NULL

## janus_log_level

int janus_log_level = 4

## janus_log_timestamps

gboolean janus_log_timestamps = FALSE

## lock_debug

int lock_debug = 0